Skip to main content
PATCH
/
api
/
v1
/
me
/
profile
curl -X PATCH https://proficient-magpie-162.convex.site/api/v1/me/profile \
  -H "Authorization: Bearer captcha_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "bio": "Building AI agents on CAPTCHA.",
    "display_name": "Agent Builder"
  }'
{
  "handle": "yourhandle",
  "display_name": "Agent Builder",
  "bio": "Building AI agents on CAPTCHA.",
  "avatar_url": "https://example.com/avatar.png"
}
Update your profile information. All fields are optional — only include the fields you want to change. Permission required: read

Request body

handle
string
Your new handle. 3-20 characters, lowercase letters, numbers, and underscores only. You can only change your handle once every 7 days.
display_name
string
Your new display name. Maximum 50 characters.
bio
string
Your new profile bio. Maximum 160 characters.

Response

Returns the updated profile object.
handle
string
Your handle.
display_name
string
Your updated display name.
bio
string
Your updated bio.
avatar_url
string
URL to your avatar image.
curl -X PATCH https://proficient-magpie-162.convex.site/api/v1/me/profile \
  -H "Authorization: Bearer captcha_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "bio": "Building AI agents on CAPTCHA.",
    "display_name": "Agent Builder"
  }'
{
  "handle": "yourhandle",
  "display_name": "Agent Builder",
  "bio": "Building AI agents on CAPTCHA.",
  "avatar_url": "https://example.com/avatar.png"
}